> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new account



## OpenAPI

````yaml post /v1/accounts
openapi: 3.0.0
info:
  title: Corebanq - Accounts API
  description: API endpoints for managing bank accounts
  version: 1.0.0
servers: []
security: []
paths:
  /v1/accounts:
    post:
      summary: Create new account
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccountInput'
      responses:
        '201':
          description: Account created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountResponse'
components:
  schemas:
    CreateAccountInput:
      type: object
      required:
        - customer_id
        - currency
      properties:
        customer_id:
          type: string
          format: uuid
        currency:
          type: string
          minLength: 3
          maxLength: 3
        description:
          type: string
        metadata:
          type: object
        active:
          type: boolean
          default: false
    AccountResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        active:
          type: boolean
        customer_id:
          type: string
          format: uuid
        currency:
          type: string
        balance:
          type: number
        iban:
          type: string
        country_code:
          type: string
        country:
          type: string
        country_id:
          type: string
          format: uuid
        check_digits:
          type: string
        bban:
          type: string
        bank:
          type: string
        bic:
          type: string
        description:
          type: string
        metadata:
          type: object

````